Unable to import .mlt file (needs newer version)

2021-06-10_18h10_21
Hello, recently made a short edit of some stuff and saved it as a .mlt file, i then noticed that when i tried to re-open it, shotcut told me I needed a newer version of the editor to open it?
I checked for updates and installed the latest release ( 21.03.21 ) It still refuses to open it "Failed to open " and the alert window says that the .mlt was made with a newer version, underneath it says “Made with this version”
Is this a bug? is there a way to save my .mlt file? cause i don’t wanna have to redo all my editing progress…

Start over. If you do not want to you can upload the project file and maybe someone can help, but there is no guarantee and you said it was short.